scala.collection.mutable

# StringBuilder

#### final class StringBuilder extends CharSequence with IndexedSeq[Char] with StringLike[StringBuilder] with Builder[Char, String] with Serializable

A builder for mutable sequence of characters. This class provides an API mostly compatible with java.lang.StringBuilder, except where there are conflicts with the Scala collections API (such as the `reverse` method.)

Annotations
  @SerialVersionUID( uid = 0 - 8525408645367278351L )
Source
  StringBuilder.scala
Version

  2.8

Since

  2.7

See also

  "Scala's Collection Library overview" section on `StringBuilders` for more information.

Linear Supertypes
Serializable, Serializable, Builder[Char, String], Growable[Char], StringLike[StringBuilder], Ordered[String], Comparable[String], IndexedSeqOptimized[Char, StringBuilder], IndexedSeq[Char], IndexedSeqLike[Char, IndexedSeq[Char]], IndexedSeq[Char], IndexedSeqLike[Char, StringBuilder], Seq[Char], SeqLike[Char, Seq[Char]], Cloneable[Seq[Char]], Seq[Char], SeqLike[Char, StringBuilder], GenSeq[Char], GenSeqLike[Char, StringBuilder], PartialFunction[Int, Char], (Int) ⇒ Char, Iterable[Char], Iterable[Char], IterableLike[Char, StringBuilder], Equals, GenIterable[Char], GenIterableLike[Char, StringBuilder], Traversable[Char], Mutable, Traversable[Char], GenTraversable[Char], GenericTraversableTemplate[Char, IndexedSeq], TraversableLike[Char, StringBuilder], GenTraversableLike[Char, StringBuilder], Parallelizable[Char, ParSeq[Char]], TraversableOnce[Char], GenTraversableOnce[Char], FilterMonadic[Char, StringBuilder], HasNewBuilder[Char, StringBuilder], CharSequence, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. StringBuilder
2. Serializable
3. Serializable
4. Builder
5. Growable
6. StringLike
7. Ordered
8. Comparable
9. IndexedSeqOptimized
10. IndexedSeq
11. IndexedSeqLike
12. IndexedSeq
13. IndexedSeqLike
14. Seq
15. SeqLike
16. Cloneable
17. Seq
18. SeqLike
19. GenSeq
20. GenSeqLike
21. PartialFunction
22. Function1
23. Iterable
24. Iterable
25. IterableLike
26. Equals
27. GenIterable
28. GenIterableLike
29. Traversable
30. Mutable
31. Traversable
32. GenTraversable
33. GenericTraversableTemplate
34. TraversableLike
35. GenTraversableLike
36. Parallelizable
37. TraversableOnce
38. GenTraversableOnce
39. FilterMonadic
40. HasNewBuilder
41. CharSequence
42. AnyRef
43. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new StringBuilder(str: String)

   Constructs a string builder with initial characters equal to characters of `str`.

2. #### new StringBuilder(capacity: Int)

   Constructs a string builder with no characters in it and an initial capacity specified by the capacity argument.

   Constructs a string builder with no characters in it and an initial capacity specified by the capacity argument.

   capacity

     the initial capacity.

   Exceptions thrown
     NegativeArraySizeException

     if capacity < 0.

3. #### new StringBuilder()

   Constructs a string builder with no characters in it and an initial capacity of 16 characters.

4. #### new StringBuilder(initCapacity: Int, initValue: String)

   Constructs a string builder initialized with String initValue and with additional Char capacity initCapacity.

5. #### new StringBuilder(underlying: StringBuilder)

### Type Members

1. #### class Elements extends BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = StringBuilder

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def *(n: Int): String

   Return the current string concatenated `n` times.

   Return the current string concatenated `n` times.

   Definition Classes
     StringLike

5. #### def +(x: Char): StringBuilder.this.type

   !!! This should create a new sequence.

6. #### abstract def ++[B](that: GenTraversableOnce[B]): Growable[B]

   [use case] Returns a new growable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new growable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the growable collection is the most specific superclass encompassing the element types of the two operands (see example).

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

   Definition Classes
     GenTraversableLike

7. #### def ++[B >: Char, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

   Returns a new growable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new growable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the growable collection is the most specific superclass encompassing the element types of the two operands (see example).

   Example:

           scala> val a = LinkedList(1)
           a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

           scala> val b = LinkedList(2)
           b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val c = a ++ b
           c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

           scala> val d = LinkedList('a')
           d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

           scala> val e = c ++ d
           e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike

8. #### def ++:[B >: Char, That](that: Traversable[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand. It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one.

   Example:

           scala> val x = List(1)
           x: List[Int] = List(1)

           scala> val y = LinkedList(2)
           y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

           scala> val z = x ++: y
           z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new growable collection which contains all elements of this growable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

9. #### abstract def ++:[B](that: TraversableOnce[B]): Growable[B]

   [use case] Concatenates this growable collection with the elements of a traversable collection.

   [use case]

   Concatenates this growable collection with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike

10. #### def ++:[B >: Char, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

    Concatenates this growable collection with the elements of a traversable collection.

    Concatenates this growable collection with the elements of a traversable collection. It differs from ++ in that the right operand determines the type of the resulting collection rather than the left one.

    Example:

            scala> val x = List(1)
            x: List[Int] = List(1)

            scala> val y = LinkedList(2)
            y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

            scala> val z = x ++: y
            z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    that

      the traversable to append.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

    Definition Classes
      TraversableLike

11. #### def ++=(xs: TraversableOnce[Char]): StringBuilder.this.type

    adds all elements produced by a TraversableOnce to this growable collection.

    adds all elements produced by a TraversableOnce to this growable collection.

    returns

      the growable collection itself.

    Definition Classes
      Growable

12. #### abstract def +:(elem: Char): Growable[Char]

    [use case] A copy of the growable collection with an element prepended.

    [use case]

    A copy of the growable collection with an element prepended.

    elem

      the prepended element

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this growable collection.

    Definition Classes
      GenSeqLike

13. #### def +:[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

    A copy of the growable collection with an element prepended.

    A copy of the growable collection with an element prepended.

    Note that :-ending operators are right associative (see example). Also, the original growable collection is not modified, so you will want to capture the result.

    Example:

             scala> val x = LinkedList(1)
             x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

             scala> val y = 2 +: x
             y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

             scala> println(x)
             LinkedList(1)

    B

      the element type of the returned growable collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the prepended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of `elem` followed by all elements of this growable collection.

    Definition Classes
      SeqLike → GenSeqLike

14. #### def +=(x: Char): StringBuilder.this.type

    Appends the given Char to the end of the sequence.

    Appends the given Char to the end of the sequence.

    returns

      the builder itself.

    Definition Classes
      StringBuilder → Builder → Growable

15. #### def +=(elem1: Char, elem2: Char, elems: Char*): StringBuilder.this.type

    adds two or more elements to this growable collection.

    adds two or more elements to this growable collection.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the growable collection itself

    Definition Classes
      Growable

16. #### def /:[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this growable collection, going left to right.

    Applies a binary operator to a start value and all elements of this growable collection, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (5 /: a)(_+_)
             b: Int = 15

             scala> val c = (5 /: a)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this growable collection, going left to right with the start value `z` on the left:

                      op(...op(op(z, x1), x2), ..., xn)

      where `x1, ..., xn` are the elements of this growable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

17. #### def /:\[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

    A syntactic sugar for out of order folding.

    A syntactic sugar for out of order folding. See `fold`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a /:\ 5)(_+_)
             b: Int = 15

    Definition Classes
      GenTraversableOnce

18. #### abstract def :+(elem: Char): Growable[Char]

    [use case] A copy of this growable collection with an element appended.

    [use case]

    A copy of this growable collection with an element appended.

    elem

      the appended element

    returns

      a new collection of type `That` consisting of all elements of this growable collection followed by `elem`.

    Definition Classes
      GenSeqLike

19. #### def :+[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

    A copy of this growable collection with an element appended.

    A copy of this growable collection with an element appended.

    B

      the element type of the returned growable collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    elem

      the appended element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` consisting of all elements of this growable collection followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike

20. #### def :\[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this growable collection and a start value, going right to left.

    Applies a binary operator to all elements of this growable collection and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = (a :\ 5)(_+_)
             b: Int = 15

             scala> val c = (a :\ 5)((x,y) => x + y)
             c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this growable collection, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this growable collection.

    Definition Classes
      TraversableOnce → GenTraversableOnce

21. #### def <(that: String): Boolean

    Returns true if `this` is less than `that`

    Returns true if `this` is less than `that`

    Definition Classes
      Ordered

22. #### def <=(that: String): Boolean

    Returns true if `this` is less than or equal to `that`.

    Returns true if `this` is less than or equal to `that`.

    Definition Classes
      Ordered

23. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

25. #### def >(that: String): Boolean

    Returns true if `this` is greater than `that`.

    Returns true if `this` is greater than `that`.

    Definition Classes
      Ordered

26. #### def >=(that: String): Boolean

    Returns true if `this` is greater than or equal to `that`.

    Returns true if `this` is greater than or equal to `that`.

    Definition Classes
      Ordered

27. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this growable collection to a string builder.

    Appends all elements of this growable collection to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this growable collection without any separator string.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> val h = a.addString(b)
             b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

28. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this growable collection to a string builder using a separator string.

    Appends all elements of this growable collection to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this growable collection, separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, ", ")
             res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

29. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this growable collection to a string builder using start, end, and separator strings.

    Appends all elements of this growable collection to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this growable collection are separated by the string `sep`.

    Example:

             scala> val a = LinkedList(1,2,3,4)
             a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

             scala> val b = new StringBuilder()
             b: StringBuilder =

             scala> a.addString(b, "LinkedList(", ", ", ")")
             res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

30. #### def aggregate[B](z: B)(seqop: (B, Char) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

           pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

31. #### def andThen[C](k: (Char) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

32. #### def append(x: Char): StringBuilder

33. #### def append(x: Double): StringBuilder

34. #### def append(x: Float): StringBuilder

35. #### def append(x: Long): StringBuilder

36. #### def append(x: Int): StringBuilder

37. #### def append(x: Short): StringBuilder

38. #### def append(x: Byte): StringBuilder

39. #### def append(x: Boolean): StringBuilder

    Append the String representation of the given primitive type to this sequence.

    Append the String representation of the given primitive type to this sequence. The argument is converted to a String with String.valueOf.

    x

      a primitive value

    returns

      This StringBuilder.

40. #### def append(sb: StringBuilder): StringBuilder

    Appends the specified string builder to this sequence.

    Appends the specified string builder to this sequence.

    sb

      @return

41. #### def append(s: String): StringBuilder

    Appends the given String to this sequence.

    Appends the given String to this sequence.

    s

      a String.

    returns

      this StringBuilder.

42. #### def append(x: Any): StringBuilder

    Appends the string representation of the given argument, which is converted to a String with String.

    Appends the string representation of the given argument, which is converted to a String with String.valueOf.

    x

      an `Any` object.

    returns

      this StringBuilder.

43. #### def appendAll(xs: Array[Char], offset: Int, len: Int): StringBuilder

    Appends a portion of the given Array[Char] to this sequence.

    Appends a portion of the given Array[Char] to this sequence.

    xs

      the Array containing Chars to be appended.

    offset

      the index of the first Char to append.

    len

      the numbers of Chars to append.

    returns

      this StringBuilder.

44. #### def appendAll(xs: Array[Char]): StringBuilder

    Appends all the Chars in the given Array[Char] to this sequence.

    Appends all the Chars in the given Array[Char] to this sequence.

    xs

      the characters to be appended.

    returns

      a reference to this object.

45. #### def appendAll(xs: TraversableOnce[Char]): StringBuilder

    Appends all the Chars in the given Seq[Char] to this sequence.

    Appends all the Chars in the given Seq[Char] to this sequence.

    xs

      the characters to be appended.

    returns

      this StringBuilder.

46. #### def apply(index: Int): Char

    Equivalent to charAt.

    Equivalent to charAt.

    returns

      the element of this growable collection at index `idx`, where `0` indicates the first element.

    Definition Classes
      StringBuilder → StringLike → SeqLike → GenSeqLike → Function1

47. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

48. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this growable collection should be compared

    returns

      `true`, if this growable collection can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

49. #### def capacity: Int

    Returns the current capacity, which is the size of the underlying array.

    Returns the current capacity, which is the size of the underlying array. A new array will be allocated if the current capacity is exceeded.

    returns

      the capacity

50. #### def capitalize: String

    Returns this string with first character converted to upper case

    Returns this string with first character converted to upper case

    Definition Classes
      StringLike

51. #### def charAt(index: Int): Char

    Returns the Char at the specified index, counting from 0 as in Arrays.

    Returns the Char at the specified index, counting from 0 as in Arrays.

    index

      the index to look up

    returns

      the Char at the given index.

    Definition Classes
      StringBuilder → CharSequence
    Exceptions thrown
      IndexOutOfBoundsException

      if the index is out of bounds.

52. #### def clear(): Unit

    Clears the builder contents.

    Clears the builder contents.

    Definition Classes
      StringBuilder → Builder → Growable

53. #### def clone(): StringBuilder

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      StringBuilder → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

54. #### abstract def collect[B](pf: PartialFunction[Char, B]): Growable[B]

    [use case] Builds a new collection by applying a partial function to all elements of this growable collection on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this growable collection on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the growable collection.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      GenTraversableLike

55. #### def collect[B, That](pf: PartialFunction[Char, B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

    Builds a new collection by applying a partial function to all elements of this growable collection on which the function is defined.

    Builds a new collection by applying a partial function to all elements of this growable collection on which the function is defined.

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    pf

      the partial function which filters and maps the growable collection.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

56. #### def collectFirst[B](pf: PartialFunction[Char, B]): Option[B]

    Finds the first element of the growable collection for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the growable collection for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

57. #### def combinations(n: Int): Iterator[StringBuilder]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this growable collection.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

58. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class Growable.

    The factory companion object that builds instances of class Growable. (or its `Iterable` superclass where class Growable is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

59. #### def compare(other: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      StringLike → Ordered

60. #### def compareTo(that: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

61. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Char

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1

62. #### def contains(elem: Any): Boolean

    Tests whether this growable collection contains a given value as an element.

    Tests whether this growable collection contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this growable collection has an element that is is equal (wrt `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

63. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this growable collection contains a given sequence as a slice.

    Tests whether this growable collection contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this growable collection contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

64. #### abstract def copyToArray(xs: Array[Char], start: Int, len: Int): Unit

    [use case] Copies elements of this growable collection to an array.

    [use case]

    Copies elements of this growable collection to an array. Fills the given array `xs` with at most `len` elements of this growable collection, starting at position `start`. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      TraversableLike

65. #### def copyToArray[B >: Char](xs: Array[B], start: Int, len: Int): Unit

    Copies elements of this growable collection to an array.

    Copies elements of this growable collection to an array. Fills the given array `xs` with at most `len` elements of this growable collection, starting at position `start`. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached, or `len` elements have been copied.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

66. #### abstract def copyToArray(xs: Array[Char]): Unit

    [use case] Copies values of this growable collection to an array.

    [use case]

    Copies values of this growable collection to an array. Fills the given array `xs` with values of this growable collection. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      GenTraversableOnce

67. #### def copyToArray[B >: Char](xs: Array[B]): Unit

    Copies values of this growable collection to an array.

    Copies values of this growable collection to an array. Fills the given array `xs` with values of this growable collection. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce

68. #### abstract def copyToArray(xs: Array[Char], start: Int): Unit

    [use case] Copies values of this growable collection to an array.

    [use case]

    Copies values of this growable collection to an array. Fills the given array `xs` with values of this growable collection, beginning at index `start`. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      GenTraversableOnce

69. #### def copyToArray[B >: Char](xs: Array[B], start: Int): Unit

    Copies values of this growable collection to an array.

    Copies values of this growable collection to an array. Fills the given array `xs` with values of this growable collection, beginning at index `start`. Copying will stop once either the end of the current growable collection is reached, or the end of the array is reached.

    B

      the type of the elements of the array.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce

70. #### def copyToBuffer[B >: Char](dest: Buffer[B]): Unit

    Copies all elements of this growable collection to a buffer.

    Copies all elements of this growable collection to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

71. #### def corresponds[B](that: GenSeq[B])(p: (Char, B) ⇒ Boolean): Boolean

    Tests whether every element of this growable collection relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this growable collection relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this growable collection and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

72. #### def count(p: (Char) ⇒ Boolean): Int

    Counts the number of elements in the growable collection which satisfy a predicate.

    Counts the number of elements in the growable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

73. #### def delete(start: Int, end: Int): StringBuilder

    Remove a subsequence of Chars from this sequence, starting at the given start index (inclusive) and extending to the end index (exclusive) or to the end of the String, whichever comes first.

    Remove a subsequence of Chars from this sequence, starting at the given start index (inclusive) and extending to the end index (exclusive) or to the end of the String, whichever comes first.

    start

      The beginning index, inclusive.

    end

      The ending index, exclusive.

    returns

      This StringBuilder.

    Exceptions thrown
      StringIndexOutOfBoundsException

      if start < 0 || start > end

74. #### def deleteCharAt(index: Int): StringBuilder

    Removes the Char at the specified index.

    Removes the Char at the specified index. The sequence is shortened by one.

    index

      The index to remove.

    returns

      This StringBuilder.

    Exceptions thrown
      IndexOutOfBoundsException

      if the index is out of bounds.

75. #### abstract def diff(that: Seq[Char]): Growable[Char]

    [use case] Computes the multiset difference between this growable collection and another sequence.

    [use case]

    Computes the multiset difference between this growable collection and another sequence.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this growable collection except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike

76. #### def diff[B >: Char](that: GenSeq[B]): StringBuilder

    Computes the multiset difference between this growable collection and another sequence.

    Computes the multiset difference between this growable collection and another sequence.

    B

      the element type of the returned growable collection.

    that

      the sequence of elements to remove

    returns

      a new collection of type `That` which contains all elements of this growable collection except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike

77. #### def distinct: StringBuilder

    Builds a new growable collection from this growable collection without any duplicate elements.

    Builds a new growable collection from this growable collection without any duplicate elements.

    returns

      A new growable collection which contains the first occurrence of every element of this growable collection.

    Definition Classes
      SeqLike → GenSeqLike

78. #### def drop(n: Int): StringBuilder

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this growable collection.

    returns

      a growable collection consisting of all elements of this growable collection except the first `n` ones, or else the empty growable collection, if this growable collection has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

79. #### def dropRight(n: Int): StringBuilder

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a growable collection consisting of all elements of this growable collection except the last `n` ones, or else the empty growable collection, if this growable collection has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

80. #### def dropWhile(p: (Char) ⇒ Boolean): StringBuilder

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    p

      The predicate used to test elements.

    returns

      the longest suffix of this growable collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

81. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this growable collection ends with the given sequence.

    Tests whether this growable collection ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this growable collection has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

82. #### def ensureCapacity(newCapacity: Int): Unit

    Ensure that the capacity is at least the given argument.

    Ensure that the capacity is at least the given argument. If the argument is greater than the current capacity, new storage will be allocated with size equal to the given argument or to (2 * capacity + 2), whichever is larger.

    newCapacity

      the minimum desired capacity.

83. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

84. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → AnyRef → Any

85. #### def exists(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this growable collection.

    Tests whether a predicate holds for some of the elements of this growable collection.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this growable collection, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

86. #### def filter(p: (Char) ⇒ Boolean): StringBuilder

    Selects all elements of this growable collection which satisfy a predicate.

    Selects all elements of this growable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new growable collection consisting of all elements of this growable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

87. #### def filterNot(p: (Char) ⇒ Boolean): StringBuilder

    Selects all elements of this growable collection which do not satisfy a predicate.

    Selects all elements of this growable collection which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new growable collection consisting of all elements of this growable collection that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

88. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

89. #### def find(p: (Char) ⇒ Boolean): Option[Char]

    Finds the first element of the growable collection satisfying a predicate, if any.

    Finds the first element of the growable collection satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the growable collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

90. #### abstract def flatMap[B](f: (Char) ⇒ GenTraversableOnce[B]): Growable[B]

    [use case] Builds a new collection by applying a function to all elements of this growable collection and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this growable collection and using the elements of the resulting collections. For example:

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this growable collection and concatenating the results.

    Definition Classes
      GenTraversableLike

91. #### def flatMap[B, That](f: (Char) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

    Builds a new collection by applying a function to all elements of this growable collection and using the elements of the resulting collections.

    Builds a new collection by applying a function to all elements of this growable collection and using the elements of the resulting collections. For example:

         def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of growable collection. This might cause unexpected results sometimes. For example:

         // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
         def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

         // lettersOf will return a Set[Char], not a Seq
         def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

         // xs will be a an Iterable[Int]
         val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

         // ys will be a Map[Int, Int]
         val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    That

      the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

    f

      the function to apply to each element.

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

    returns

      a new collection of type `That` resulting from applying the given collection-valued function `f` to each element of this growable collection and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic

92. #### abstract def flatten[B]: Growable[B]

    [use case] Converts this growable collection of traversable collections into a growable collection formed by the elements of these traversable collections.

    [use case]

    Converts this growable collection of traversable collections into a growable collection formed by the elements of these traversable collections.

    B

      the type of the elements of each traversable collection.

    returns

      a new growable collection resulting from concatenating all element growable collections.

    Definition Classes
      GenericTraversableTemplate

93. #### def fold[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this growable collection using the specified associative binary operator.

    Folds the elements of this growable collection using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

94. #### def foldLeft[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this growable collection, going left to right.

    Applies a binary operator to a start value and all elements of this growable collection, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this growable collection, going left to right with the start value `z` on the left:

                      op(...op(z, x1), x2, ..., xn)

      where `x1, ..., xn` are the elements of this growable collection.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

95. #### def foldRight[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this growable collection and a start value, going right to left.

    Applies a binary operator to all elements of this growable collection and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this growable collection, going right to left with the start value `z` on the right:

                      op(x1, op(x2, ... op(xn, z)...))

      where `x1, ..., xn` are the elements of this growable collection.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

96. #### def forall(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this growable collection.

    Tests whether a predicate holds for all elements of this growable collection.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this growable collection, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

97. #### abstract def foreach(f: (Char) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this growable collection.

    [use case]

    Applies a function `f` to all elements of this growable collection.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IterableLike

98. #### def foreach[U](f: (Char) ⇒ U): Unit

    Applies a function `f` to all elements of this growable collection.

    Applies a function `f` to all elements of this growable collection.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    U

      the type parameter describing the result of function `f`. This result will always be ignored. Typically `U` is `Unit`, but this is not necessary.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic

99. #### def format(args: Any*): String

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as `scala.BigInt` and `scala.BigDecimal`) are unwrapped to pass a type which `Formatter` understands.

    args

      the arguments used to instantiating the pattern.

    Definition Classes
      StringLike
    Exceptions thrown
      java.lang.IllegalArgumentException

100. #### def formatLocal(l: Locale, args: Any*): String

     Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

     Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

     The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as `scala.BigInt` and `scala.BigDecimal`) are unwrapped to pass a type which `Formatter` understands.

     args

       the arguments used to instantiating the pattern.

     Definition Classes
       StringLike
     Exceptions thrown
       java.lang.IllegalArgumentException

101. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

     The generic builder that builds instances of Growable at arbitrary element types.

     The generic builder that builds instances of Growable at arbitrary element types.

     Definition Classes
       GenericTraversableTemplate

102. #### final def getClass(): java.lang.Class[_]

     A representation that corresponds to the dynamic class of the receiver object.

     A representation that corresponds to the dynamic class of the receiver object.

     The nature of the representation is platform dependent.

     returns

       a representation that corresponds to the dynamic class of the receiver object.

     Definition Classes
       AnyRef → Any
     Note

       not specified by SLS as a member of AnyRef

103. #### def groupBy[K](f: (Char) ⇒ K): Map[K, StringBuilder]

     Partitions this growable collection into a map of growable collections according to some discriminator function.

     Partitions this growable collection into a map of growable collections according to some discriminator function.

     Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new growable collection.

     K

       the type of keys returned by the discriminator function.

     f

       the discriminator function.

     returns

       A map from keys to growable collections such that the following invariant holds:

                           (xs partition f)(k) = xs filter (x => f(x) == k)

       That is, every key `k` is bound to a growable collection of those elements `x` for which `f(x)` equals `k`.

     Definition Classes
       TraversableLike → GenTraversableLike

104. #### def grouped(size: Int): Iterator[StringBuilder]

     Partitions elements in fixed size growable collections.

     Partitions elements in fixed size growable collections.

     size

       the number of elements per group

     returns

       An iterator producing growable collections of size `size`, except the last will be truncated if the elements don't divide evenly.

     Definition Classes
       IterableLike
     See also

       Iterator#grouped

105. #### def hasDefiniteSize: Boolean

     Tests whether this growable collection is known to have a finite size.

     Tests whether this growable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

     Note: many collection methods will not work on collections of infinite sizes.

     returns

       `true` if this collection is known to have finite size, `false` otherwise.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

106. #### def hashCode(): Int

     Hashcodes for Growable produce a value from the hashcodes of all the elements of the growable collection.

     Hashcodes for Growable produce a value from the hashcodes of all the elements of the growable collection.

     returns

       the hash code value for this object.

     Definition Classes
       GenSeqLike → AnyRef → Any

107. #### def head: Char

     Selects the first element of this growable collection.

     Selects the first element of this growable collection.

     returns

       the first element of this growable collection.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike → TraversableLike → GenTraversableLike
     Exceptions thrown
       `NoSuchElementException`

       if the growable collection is empty.

108. #### def headOption: Option[Char]

     Optionally selects the first element.

     Optionally selects the first element.

     returns

       the first element of this growable collection if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike

109. #### def indexOf(str: String, fromIndex: Int): Int

     Finds the index of the first occurrence of the specified substring.

     Finds the index of the first occurrence of the specified substring.

     str

       the target string to search for

     fromIndex

       the smallest index in the source string to consider

     returns

       the first applicable index where target occurs, or -1 if not found.

110. #### def indexOf(str: String): Int

     Finds the index of the first occurrence of the specified substring.

     Finds the index of the first occurrence of the specified substring.

     str

       the target string to search for

     returns

       the first applicable index where target occurs, or -1 if not found.

111. #### abstract def indexOf(elem: Char, from: Int): Int

     [use case] Finds index of first occurrence of some value in this growable collection after or at some start index.

     [use case]

     Finds index of first occurrence of some value in this growable collection after or at some start index.

     elem

       the element value to search for.

     from

       the start index

     returns

       the index `>= from` of the first element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

112. #### def indexOf[B >: Char](elem: B, from: Int): Int

     Finds index of first occurrence of some value in this growable collection after or at some start index.

     Finds index of first occurrence of some value in this growable collection after or at some start index.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     from

       the start index

     returns

       the index `>= from` of the first element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

113. #### abstract def indexOf(elem: Char): Int

     [use case] Finds index of first occurrence of some value in this growable collection.

     [use case]

     Finds index of first occurrence of some value in this growable collection.

     elem

       the element value to search for.

     returns

       the index of the first element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

114. #### def indexOf[B >: Char](elem: B): Int

     Finds index of first occurrence of some value in this growable collection.

     Finds index of first occurrence of some value in this growable collection.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     returns

       the index of the first element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

115. #### def indexOfSlice[B >: Char](that: GenSeq[B], from: Int): Int

     Finds first index after or at a start index where this growable collection contains a given sequence as a slice.

     Finds first index after or at a start index where this growable collection contains a given sequence as a slice.

     that

       the sequence to test

     from

       the start index

     returns

       the first index `>= from` such that the elements of this growable collection starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

116. #### def indexOfSlice[B >: Char](that: GenSeq[B]): Int

     Finds first index where this growable collection contains a given sequence as a slice.

     Finds first index where this growable collection contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the first index such that the elements of this growable collection starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

117. #### def indexWhere(p: (Char) ⇒ Boolean, from: Int): Int

     Finds index of the first element satisfying some predicate after or at some start index.

     Finds index of the first element satisfying some predicate after or at some start index.

     p

       the predicate used to test elements.

     from

       the start index

     returns

       the index `>= from` of the first element of this growable collection that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

118. #### def indexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of first element satisfying some predicate.

     Finds index of first element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the first element of this growable collection that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

119. #### def indices: Range

     Produces the range of all indices of this sequence.

     Produces the range of all indices of this sequence.

     returns

       a `Range` value from `0` to one less than the length of this growable collection.

     Definition Classes
       SeqLike

120. #### def init: StringBuilder

     Selects all elements except the last.

     Selects all elements except the last.

     returns

       a growable collection consisting of all elements of this growable collection except the last one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the growable collection is empty.

121. #### def inits: Iterator[StringBuilder]

     Iterates over the inits of this growable collection.

     Iterates over the inits of this growable collection. The first value will be this growable collection and the final one will be an empty growable collection, with the intervening values the results of successive applications of `init`.

     returns

       an iterator over all the inits of this growable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

122. #### def insert(index: Int, x: Char): StringBuilder

123. #### def insert(index: Int, x: Double): StringBuilder

124. #### def insert(index: Int, x: Float): StringBuilder

125. #### def insert(index: Int, x: Long): StringBuilder

126. #### def insert(index: Int, x: Int): StringBuilder

127. #### def insert(index: Int, x: Short): StringBuilder

128. #### def insert(index: Int, x: Byte): StringBuilder

129. #### def insert(index: Int, x: Boolean): StringBuilder

     Calls String.

     Calls String.valueOf on the given primitive value, and inserts the String at the given index.

     index

       the offset position.

     x

       a primitive value.

     returns

       this StringBuilder.

130. #### def insert(index: Int, x: String): StringBuilder

     Inserts the String into this character sequence.

     Inserts the String into this character sequence.

     index

       the index at which to insert.

     x

       a String.

     returns

       this StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if the index is out of bounds.

131. #### def insert(index: Int, x: Any): StringBuilder

     Inserts the String representation (via String.

     Inserts the String representation (via String.valueOf) of the given argument into this sequence at the given index.

     index

       the index at which to insert.

     x

       a value.

     returns

       this StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if the index is out of bounds.

132. #### def insertAll(index: Int, xs: Array[Char]): StringBuilder

     Inserts the given Array[Char] into this sequence at the given index.

     Inserts the given Array[Char] into this sequence at the given index.

     index

       the index at which to insert.

     xs

       the Array[Char].

     returns

       this StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if the index is out of bounds.

133. #### def insertAll(index: Int, xs: TraversableOnce[Char]): StringBuilder

     Inserts the given Seq[Char] into this sequence at the given index.

     Inserts the given Seq[Char] into this sequence at the given index.

     index

       the index at which to insert.

     xs

       the Seq[Char].

     returns

       this StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if the index is out of bounds.

134. #### def insertAll(index: Int, str: Array[Char], offset: Int, len: Int): StringBuilder

     Inserts a subarray of the given Array[Char] at the given index of this sequence.

     Inserts a subarray of the given Array[Char] at the given index of this sequence.

     index

       index at which to insert the subarray.

     str

       the Array from which Chars will be taken.

     offset

       the index of the first Char to insert.

     len

       the number of Chars from 'str' to insert.

     returns

       This StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if index < 0, index > length, offset < 0, len < 0, or (offset + len) > str.length.

135. #### abstract def intersect(that: Seq[Char]): Growable[Char]

     [use case] Computes the multiset intersection between this growable collection and another sequence.

     [use case]

     Computes the multiset intersection between this growable collection and another sequence.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this growable collection which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike

136. #### def intersect[B >: Char](that: GenSeq[B]): StringBuilder

     Computes the multiset intersection between this growable collection and another sequence.

     Computes the multiset intersection between this growable collection and another sequence.

     B

       the element type of the returned growable collection.

     that

       the sequence of elements to intersect with.

     returns

       a new collection of type `That` which contains all elements of this growable collection which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike → GenSeqLike

137. #### def isDefinedAt(idx: Int): Boolean

     Tests whether this growable collection contains given index.

     Tests whether this growable collection contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     idx

       the index to test

     returns

       `true` if this growable collection contains an element at position `idx`, `false` otherwise.

     Definition Classes
       GenSeqLike

138. #### def isEmpty: Boolean

     Tests whether the growable collection is empty.

     Tests whether the growable collection is empty.

     returns

       `true` if the growable collection contains no elements, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

139. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

140. #### final def isTraversableAgain: Boolean

     Tests whether this growable collection can be repeatedly traversed.

     Tests whether this growable collection can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       GenTraversableLike → GenTraversableOnce

141. #### def iterator: Iterator[Char]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       IndexedSeqLike → IterableLike → GenIterableLike

142. #### def last: Char

     Selects the last element.

     Selects the last element.

     returns

       The last element of this growable collection.

     Definition Classes
       IndexedSeqOptimized → TraversableLike
     Exceptions thrown
       NoSuchElementException

       If the growable collection is empty.

143. #### def lastIndexOf(str: String, fromIndex: Int): Int

     Finds the index of the last occurrence of the specified substring.

     Finds the index of the last occurrence of the specified substring.

     str

       the target string to search for

     fromIndex

       the smallest index in the source string to consider

     returns

       the last applicable index where target occurs, or -1 if not found.

144. #### def lastIndexOf(str: String): Int

     Finds the index of the last occurrence of the specified substring.

     Finds the index of the last occurrence of the specified substring.

     str

       the target string to search for

     returns

       the last applicable index where target occurs, or -1 if not found.

145. #### abstract def lastIndexOf(elem: Char, end: Int): Int

     [use case] Finds index of last occurrence of some value in this growable collection before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this growable collection before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

146. #### def lastIndexOf[B >: Char](elem: B, end: Int): Int

     Finds index of last occurrence of some value in this growable collection before or at a given end index.

     Finds index of last occurrence of some value in this growable collection before or at a given end index.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

147. #### abstract def lastIndexOf(elem: Char): Int

     [use case] Finds index of last occurrence of some value in this growable collection.

     [use case]

     Finds index of last occurrence of some value in this growable collection.

     elem

       the element value to search for.

     returns

       the index of the last element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

148. #### def lastIndexOf[B >: Char](elem: B): Int

     Finds index of last occurrence of some value in this growable collection.

     Finds index of last occurrence of some value in this growable collection.

     B

       the type of the element `elem`.

     elem

       the element value to search for.

     returns

       the index of the last element of this growable collection that is equal (wrt `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

149. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this growable collection contains a given sequence as a slice.

     Finds last index before or at a given end index where this growable collection contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this growable collection starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

150. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B]): Int

     Finds last index where this growable collection contains a given sequence as a slice.

     Finds last index where this growable collection contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this growable collection starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

151. #### def lastIndexWhere(p: (Char) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this growable collection that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

152. #### def lastIndexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this growable collection that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

153. #### def lastOption: Option[Char]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this growable collection$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike

154. #### def length: Int

     The length of the growable collection.

     The length of the growable collection.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this growable collection.

     Definition Classes
       StringBuilder → StringLike → SeqLike → GenSeqLike → CharSequence

155. #### def lengthCompare(len: Int): Int

     Compares the length of this growable collection to a test value.

     Compares the length of this growable collection to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

                  x <  0       if this.length <  len
                  x == 0       if this.length == len
                  x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       IndexedSeqOptimized → SeqLike

156. #### def length_=(n: Int): Unit

157. #### def lift: (Int) ⇒ Option[Char]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

158. #### def lines: Iterator[String]

     Return all lines in this string in an iterator, excluding trailing line end characters, i.

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Definition Classes
       StringLike

159. #### def linesIterator: Iterator[String]

     Return all lines in this string in an iterator, excluding trailing line end characters, i.

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Definition Classes
       StringLike

160. #### def linesWithSeparators: Iterator[String]

     Return all lines in this string in an iterator, including trailing line end characters.

     Return all lines in this string in an iterator, including trailing line end characters.

     The number of strings returned is one greater than the number of line end characters in this string. For an empty string, a single empty line is returned. A line end character is one of

     - LF - line feed (0x0A hex)
     - FF - form feed (0x0C hex)
     Definition Classes
       StringLike

161. #### abstract def map[B](f: (Char) ⇒ B): Growable[B]

     [use case] Builds a new collection by applying a function to all elements of this growable collection.

     [use case]

     Builds a new collection by applying a function to all elements of this growable collection.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this growable collection and collecting the results.

     Definition Classes
       GenTraversableLike

162. #### def map[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Builds a new collection by applying a function to all elements of this growable collection.

     Builds a new collection by applying a function to all elements of this growable collection.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this growable collection and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic

163. #### def mapResult[NewTo](f: (String) ⇒ NewTo): Builder[Char, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder

164. #### abstract def max: Char

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this growable collection with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

165. #### def max[B >: Char](implicit cmp: Ordering[B]): Char

     Finds the largest element.

     Finds the largest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the largest element of this growable collection with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

166. #### def maxBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

     Definition Classes
       TraversableOnce → GenTraversableOnce

167. #### abstract def min: Char

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this growable collection with respect to the ordering `cmp`.

     Definition Classes
       GenTraversableOnce

168. #### def min[B >: Char](implicit cmp: Ordering[B]): Char

     Finds the smallest element.

     Finds the smallest element.

     B

       The type over which the ordering is defined.

     cmp

       An ordering to be used for comparing elements.

     returns

       the smallest element of this growable collection with respect to the ordering `cmp`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

169. #### def minBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

     Definition Classes
       TraversableOnce → GenTraversableOnce

170. #### def mkString: String

     Returns a new String representing the data in this sequence.

     Returns a new String representing the data in this sequence.

     returns

       the current contents of this sequence as a String

     Definition Classes
       StringBuilder → StringLike → TraversableOnce → GenTraversableOnce

171. #### def mkString(sep: String): String

     Displays all elements of this growable collection in a string using a separator string.

     Displays all elements of this growable collection in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this growable collection. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this growable collection are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

172. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this growable collection in a string using start, end, and separator strings.

     Displays all elements of this growable collection in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this growable collection. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this growable collection are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

173. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

174. #### def newBuilder: GrowingBuilder[Char, StringBuilder]

     Creates a string builder buffer as builder for this class

     Creates a string builder buffer as builder for this class

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → StringLike → GenericTraversableTemplate → TraversableLike → HasNewBuilder

175. #### def nonEmpty: Boolean

     Tests whether the growable collection is not empty.

     Tests whether the growable collection is not empty.

     returns

       `true` if the growable collection contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

176. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

177. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

178. #### def orElse[A1 <: Int, B1 >: Char](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

179. #### abstract def padTo(len: Int, elem: Char): Growable[Char]

     [use case] A copy of this growable collection with an element value appended until a given target length is reached.

     [use case]

     A copy of this growable collection with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new collection of type `That` consisting of all elements of this growable collection followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       GenSeqLike

180. #### def padTo[B >: Char, That](len: Int, elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     A copy of this growable collection with an element value appended until a given target length is reached.

     A copy of this growable collection with an element value appended until a given target length is reached.

     B

       the element type of the returned growable collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     len

       the target length

     elem

       the padding value

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` consisting of all elements of this growable collection followed by the minimal number of occurrences of `elem` so that the resulting collection has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike

181. #### def par: ParSeq[Char]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

182. #### def parCombiner: Combiner[Char, ParSeq[Char]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SeqLike → SeqLike → TraversableLike → Parallelizable

183. #### def partition(p: (Char) ⇒ Boolean): (StringBuilder, StringBuilder)

     Partitions this growable collection in two growable collections according to a predicate.

     Partitions this growable collection in two growable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of growable collections: the first growable collection consists of all elements that satisfy the predicate `p` and the second growable collection consists of all elements that don't. The relative order of the elements in the resulting growable collections is the same as in the original growable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

184. #### abstract def patch(from: Int, that: GenSeq[Char], replaced: Int): Growable[Char]

     [use case] Produces a new growable collection where a slice of elements in this growable collection is replaced by another sequence.

     [use case]

     Produces a new growable collection where a slice of elements in this growable collection is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original growable collection

     returns

       a new growable collection consisting of all elements of this growable collection except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       GenSeqLike

185. #### def patch[B >: Char, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a new growable collection where a slice of elements in this growable collection is replaced by another sequence.

     Produces a new growable collection where a slice of elements in this growable collection is replaced by another sequence.

     B

       the element type of the returned growable collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     from

       the index of the first replaced element

     patch

       the replacement sequence

     replaced

       the number of elements to drop in the original growable collection

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new growable collection consisting of all elements of this growable collection except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike

186. #### def permutations: Iterator[StringBuilder]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this growable collection.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

187. #### def prefixLength(p: (Char) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this growable collection such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

188. #### abstract def product: Char

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements of this growable collection with respect to the `*` operator in `num`.

     Definition Classes
       GenTraversableOnce

189. #### def product[B >: Char](implicit num: Numeric[B]): B

     Multiplies up the elements of this collection.

     Multiplies up the elements of this collection.

     B

       the result type of the `*` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `*` operator to be used in forming the product.

     returns

       the product of all elements of this growable collection with respect to the `*` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

190. #### def r: Regex

     You can follow a string with `.r', turning it into a Regex. E.g.`

     You can follow a string with `.r', turning it into a Regex. E.g.`

     """A\w*""".r is the regular expression for identifiers starting with `A'.`

     Definition Classes
       StringLike

191. #### def reduce[A1 >: Char](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this growable collection using the specified associative binary operator.

     Reduces the elements of this growable collection using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the growable collection is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this growable collection is empty.

192. #### def reduceLeft[B >: Char](op: (B, Char) ⇒ B): B

     Definition Classes
       IndexedSeqOptimized → TraversableOnce

193. #### def reduceLeftOption[B >: Char](op: (B, Char) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this growable collection, going left to right.

     Optionally applies a binary operator to all elements of this growable collection, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this growable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

194. #### def reduceOption[A1 >: Char](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this growable collection, if any, using the specified associative binary operator.

     Reduces the elements of this growable collection, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

195. #### def reduceRight[B >: Char](op: (Char, B) ⇒ B): B

     Applies a binary operator to all elements of this growable collection, going right to left.

     Applies a binary operator to all elements of this growable collection, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this growable collection, going right to left:

                       op(x,,1,,, op(x,,2,,, ..., op(x,,n-1,,, x,,n,,)...))

       where `x1, ..., xn` are the elements of this growable collection.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this growable collection is empty.

196. #### def reduceRightOption[B >: Char](op: (Char, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this growable collection, going right to left.

     Optionally applies a binary operator to all elements of this growable collection, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this growable collection is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

197. #### def replace(start: Int, end: Int, str: String): StringBuilder

     Replaces a subsequence of Chars with the given String.

     Replaces a subsequence of Chars with the given String. The semantics are as in delete, with the String argument then inserted at index 'start'.

     start

       The beginning index, inclusive.

     end

       The ending index, exclusive.

     str

       The String to be inserted at the start index.

     returns

       This StringBuilder.

     Exceptions thrown
       StringIndexOutOfBoundsException

       if start < 0, start > length, or start > end

198. #### def replaceAllLiterally(literal: String, replacement: String): String

     Replace all literal occurrences of `literal` with the string `replacement`.

     Replace all literal occurrences of `literal` with the string `replacement`. This is equivalent to java.lang.String#replaceAll except that both arguments are appropriately quoted to avoid being interpreted as metacharacters.

     literal

       the string which should be replaced everywhere it occurs

     replacement

       the replacement string

     returns

       the resulting string

     Definition Classes
       StringLike

199. #### def repr: StringBuilder

     The collection of type growable collection underlying this `TraversableLike` object.

     The collection of type growable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

200. #### def result(): String

     Returns the result of this Builder (a String)

     Returns the result of this Builder (a String)

     returns

       the string assembled by this StringBuilder

     Definition Classes
       StringBuilder → Builder

201. #### def reverse: StringBuilder

     Creates a new StringBuilder with the reversed contents of this one.

     Creates a new StringBuilder with the reversed contents of this one. If surrogate pairs are present, they are treated as indivisible units: each pair will appear in the same order in the updated sequence.

     returns

       the reversed StringBuilder

     Definition Classes
       StringBuilder → IndexedSeqOptimized → SeqLike → GenSeqLike
     Annotations
       @migration
     Migration

       (Changed in version 2.8.0) `reverse` returns a new instance. Use `reverseContents` to update in place and return that StringBuilder itself.

202. #### def reverseContents(): StringBuilder

     Like reverse, but destructively updates the target StringBuilder.

     Like reverse, but destructively updates the target StringBuilder.

     returns

       the reversed StringBuilder (same as the target StringBuilder)

203. #### def reverseIterator: Iterator[Char]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this growable collection in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

204. #### abstract def reverseMap[B](f: (Char) ⇒ B): Growable[B]

     [use case] Builds a new collection by applying a function to all elements of this growable collection and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this growable collection and collecting the results in reversed order.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this growable collection and collecting the results in reversed order.

       Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     Definition Classes
       GenSeqLike

205. #### def reverseMap[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Builds a new collection by applying a function to all elements of this growable collection and collecting the results in reversed order.

     Builds a new collection by applying a function to all elements of this growable collection and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     f

       the function to apply to each element.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` resulting from applying the given function `f` to each element of this growable collection and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike

206. #### def reversed: List[Char]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

207. #### abstract def sameElements(that: GenIterable[Char]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this growable collection.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this growable collection.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       GenIterableLike

208. #### def sameElements[B >: Char](that: GenIterable[B]): Boolean

     Checks if the other iterable collection contains the same elements in the same order as this growable collection.

     Checks if the other iterable collection contains the same elements in the same order as this growable collection.

     B

       the type of the elements of collection `that`.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

209. #### def scan[B >: Char, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[StringBuilder, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new growable collection containing the prefix scan of the elements in this growable collection

     Definition Classes
       TraversableLike → GenTraversableLike

210. #### def scanLeft[B, That](z: B)(op: (B, Char) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a collection containing cummulative results of applying the operator going left to right.

     Produces a collection containing cummulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

211. #### def scanRight[B, That](z: B)(op: (Char, B) ⇒ B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a collection containing cummulative results of applying the operator going right to left.

     Produces a collection containing cummulative results of applying the operator going right to left. The head of the collection is the last cummulative result.

     Example:

            List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

212. #### def segmentLength(p: (Char) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this growable collection starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

213. #### def seq: Seq[Char]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

214. #### def setCharAt(index: Int, ch: Char): Unit

     Update the sequence at the given index to hold the specified Char.

     Update the sequence at the given index to hold the specified Char.

     index

       the index to modify.

     ch

       the new Char.

     Exceptions thrown
       IndexOutOfBoundsException

       if the index is out of bounds.

215. #### def setLength(len: Int): Unit

     Sets the length of the character sequence.

     Sets the length of the character sequence. If the current sequence is shorter than the given length, it is padded with nulls; if it is longer, it is truncated.

     len

       the new length

     Exceptions thrown
       IndexOutOfBoundsException

       if the argument is negative.

216. #### def size: Int

     The size of this growable collection, equivalent to `length`.

     The size of this growable collection, equivalent to `length`.

     returns

       the number of elements in this growable collection.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

217. #### def sizeHint(coll: scala.collection.TraversableLike[_, _], delta: Int = 0): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder

218. #### def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder

219. #### def sizeHintBounded(size: Int, boundingColl: scala.collection.TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder

220. #### def slice(from: Int, until: Int): StringBuilder

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

            from <= indexOf(x) < until

     from

       the lowest index to include from this growable collection.

     until

       the highest index to EXCLUDE from this growable collection.

     returns

       a growable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this growable collection.

     Definition Classes
       StringLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

221. #### def sliding[B >: Char](size: Int, step: Int): Iterator[StringBuilder]

     Definition Classes
       IterableLike

222. #### def sliding[B >: Char](size: Int): Iterator[StringBuilder]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing growable collections of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       Iterator#sliding

223. #### def sortBy[B](f: (Char) ⇒ B)(implicit ord: Ordering[B]): StringBuilder

     Sorts this Growable according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this Growable according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a growable collection consisting of the elements of this growable collection sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.        val words = "The quick brown fox jumped over the lazy dog".split(' ')
               // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
               words.sortBy(x => (x.length, x.head))
               res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

224. #### def sortWith(lt: (Char, Char) ⇒ Boolean): StringBuilder

     Sorts this growable collection according to a comparison function.

     Sorts this growable collection according to a comparison function.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a growable collection consisting of the elements of this growable collection sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.        List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
               List("Bob", "John", "Steve", "Tom")

225. #### def sorted[B >: Char](implicit ord: Ordering[B]): StringBuilder

     Sorts this growable collection according to an Ordering.

     Sorts this growable collection according to an Ordering.

     The sort is stable. That is, elements that are equal wrt `lt` appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a growable collection consisting of the elements of this growable collection sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

226. #### def span(p: (Char) ⇒ Boolean): (StringBuilder, StringBuilder)

     Splits this growable collection into a prefix/suffix pair according to a predicate.

     Splits this growable collection into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     p

       the test predicate

     returns

       a pair consisting of the longest prefix of this growable collection whose elements all satisfy `p`, and the rest of this growable collection.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

227. #### def split(separators: Array[Char]): Array[String]

     Definition Classes
       StringLike
     Annotations
       @throws( clazz = ... )

228. #### def split(separator: Char): Array[String]

     Definition Classes
       StringLike
     Annotations
       @throws( clazz = ... )

229. #### def splitAt(n: Int): (StringBuilder, StringBuilder)

     Splits this growable collection into two at a given position.

     Splits this growable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of growable collections consisting of the first `n` elements of this growable collection, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

230. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this growable collection contains the given sequence at a given index.

     Tests whether this growable collection contains the given sequence at a given index.

     If the both the receiver object, `this` and the argument, `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this growable collection at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

231. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this growable collection starts with the given sequence.

     Tests whether this growable collection starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

232. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this growable collection. By default the string prefix is the simple name of the collection class growable collection.

     Definition Classes
       TraversableLike → GenTraversableLike

233. #### def stripLineEnd: String

     Strip trailing line end character from this string if it has one.

     Strip trailing line end character from this string if it has one.

     A line end character is one of

     - LF - line feed (0x0A hex)
     - FF - form feed (0x0C hex)

     If a line feed character LF is preceded by a carriage return CR (0x0D hex), the CR character is also stripped (Windows convention).

     Definition Classes
       StringLike

234. #### def stripMargin: String

     For every line in this string:

     For every line in this string:

     > Strip a leading prefix consisting of blanks or control characters followed by `|` from the line.

     Definition Classes
       StringLike

235. #### def stripMargin(marginChar: Char): String

     For every line in this string:

     For every line in this string:

     > Strip a leading prefix consisting of blanks or control characters followed by `marginChar` from the line.

     Definition Classes
       StringLike

236. #### def stripPrefix(prefix: String): String

     Returns this string with the given `prefix` stripped.

     Returns this string with the given `prefix` stripped.

     Definition Classes
       StringLike

237. #### def stripSuffix(suffix: String): String

     Returns this string with the given `suffix` stripped.

     Returns this string with the given `suffix` stripped. If this string does not end with `suffix`, it is returned unchanged.

     Definition Classes
       StringLike

238. #### def subSequence(start: Int, end: Int): CharSequence

     For implementing CharSequence.

     For implementing CharSequence.

     Definition Classes
       StringBuilder → CharSequence

239. #### def substring(start: Int, end: Int): String

     Returns a new String made up of a subsequence of this sequence, beginning at the start index (inclusive) and extending to the end index (exclusive).

     Returns a new String made up of a subsequence of this sequence, beginning at the start index (inclusive) and extending to the end index (exclusive).

     target.substring(start, end) is equivalent to target.slice(start, end).mkString

     start

       The beginning index, inclusive.

     end

       The ending index, exclusive.

     returns

       The new String.

     Exceptions thrown
       StringIndexOutOfBoundsException

       If either index is out of bounds, or if start > end.

240. #### def substring(start: Int): String

     Returns a new String made up of a subsequence of this sequence, beginning at the given index and extending to the end of the sequence.

     Returns a new String made up of a subsequence of this sequence, beginning at the given index and extending to the end of the sequence.

     target.substring(start) is equivalent to target.drop(start)

     start

       The starting index, inclusive.

     returns

       The new String.

     Exceptions thrown
       IndexOutOfBoundsException

       if the index is out of bounds.

241. #### abstract def sum: Char

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements of this growable collection with respect to the `+` operator in `num`.

     Definition Classes
       GenTraversableOnce

242. #### def sum[B >: Char](implicit num: Numeric[B]): B

     Sums up the elements of this collection.

     Sums up the elements of this collection.

     B

       the result type of the `+` operator.

     num

       an implicit parameter defining a set of numeric operations which includes the `+` operator to be used in forming the sum.

     returns

       the sum of all elements of this growable collection with respect to the `+` operator in `num`.

     Definition Classes
       TraversableOnce → GenTraversableOnce

243. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

244. #### def tail: StringBuilder

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a growable collection consisting of all elements of this growable collection except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the growable collection is empty.

245. #### def tails: Iterator[StringBuilder]

     Iterates over the tails of this growable collection.

     Iterates over the tails of this growable collection. The first value will be this growable collection and the final one will be an empty growable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this growable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

246. #### def take(n: Int): StringBuilder

     Selects first n elements.

     Selects first n elements.

     n

       Tt number of elements to take from this growable collection.

     returns

       a growable collection consisting only of the first `n` elements of this growable collection, or else the whole growable collection, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

247. #### def takeRight(n: Int): StringBuilder

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a growable collection consisting only of the last `n` elements of this growable collection, or else the whole growable collection, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

248. #### def takeWhile(p: (Char) ⇒ Boolean): StringBuilder

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     p

       The predicate used to test elements.

     returns

       the longest prefix of this growable collection whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

249. #### def thisCollection: StringBuilder

     The underlying collection seen as an instance of `Growable`.

     The underlying collection seen as an instance of `Growable`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

250. #### def toArray: Array[Char]

251. #### abstract def toArray: Array[Char]

     [use case] Converts this growable collection to an array.

     [use case]

     Converts this growable collection to an array.

     returns

       an array containing all elements of this growable collection.

     Definition Classes
       GenTraversableOnce

252. #### def toArray[B >: Char](implicit arg0: ClassManifest[B]): Array[B]

     Converts this growable collection to an array.

     Converts this growable collection to an array.

     B

       the type of the elements of the array. A `ClassManifest` for this type must be available.

     returns

       an array containing all elements of this growable collection.

     Definition Classes
       StringLike → TraversableOnce → GenTraversableOnce

253. #### def toBoolean: Boolean

     Definition Classes
       StringLike

254. #### def toBuffer[A1 >: Char]: Buffer[A1]

     Overridden for efficiency

     Overridden for efficiency

     returns

       a buffer containing all elements of this growable collection.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

255. #### def toByte: Byte

     Definition Classes
       StringLike

256. #### def toCollection(repr: StringBuilder): StringBuilder

     A conversion from collections of type `Repr` to `Growable` objects.

     A conversion from collections of type `Repr` to `Growable` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       StringBuilder → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

257. #### def toCollection(repr: IndexedSeq[Char]): IndexedSeq[Char]

     A conversion from collections of type `Repr` to `Growable` objects.

     A conversion from collections of type `Repr` to `Growable` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IndexedSeqLike → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

258. #### def toDouble: Double

     Definition Classes
       StringLike

259. #### def toFloat: Float

     Definition Classes
       StringLike

260. #### def toIndexedSeq[B >: Char]: IndexedSeq[B]

     Converts this growable collection to an indexed sequence.

     Converts this growable collection to an indexed sequence.

     returns

       an indexed sequence containing all elements of this growable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

261. #### def toInt: Int

     Definition Classes
       StringLike

262. #### def toIterable: Iterable[Char]

     Converts this growable collection to an iterable collection.

     Converts this growable collection to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this growable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

263. #### def toIterator: Iterator[Char]

     Returns an Iterator over the elements in this growable collection.

     Returns an Iterator over the elements in this growable collection. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this growable collection.

     Definition Classes
       TraversableLike → GenTraversableOnce

264. #### def toList: List[Char]

     Converts this growable collection to a list.

     Converts this growable collection to a list.

     returns

       a list containing all elements of this growable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

265. #### def toLong: Long

     Definition Classes
       StringLike

266. #### abstract def toMap[T, U]: Map[T, U]

     [use case] Converts this growable collection to a map.

     [use case]

     Converts this growable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this growable collection.

     Definition Classes
       GenTraversableOnce

267. #### def toMap[T, U](implicit ev: <:<[Char, (T, U)]): Map[T, U]

     Converts this growable collection to a map.

     Converts this growable collection to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map containing all elements of this growable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

268. #### def toSeq: Seq[Char]

     Converts this growable collection to a sequence.

     Converts this growable collection to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this growable collection.

     Definition Classes
       SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

269. #### def toSet[B >: Char]: Set[B]

     Converts this growable collection to a set.

     Converts this growable collection to a set.

     returns

       a set containing all elements of this growable collection.

     Definition Classes
       TraversableOnce → GenTraversableOnce

270. #### def toShort: Short

     Definition Classes
       StringLike

271. #### def toStream: Stream[Char]

     Converts this growable collection to a stream.

     Converts this growable collection to a stream.

     returns

       a stream containing all elements of this growable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

272. #### def toString(): String

     Returns a new String representing the data in this sequence.

     Returns a new String representing the data in this sequence.

     returns

       the current contents of this sequence as a String

     Definition Classes
       StringBuilder → SeqLike → Function1 → TraversableLike → CharSequence → AnyRef → Any
     Note

       because toString is inherited from AnyRef and used for many purposes, it is better practice to call mkString to obtain a StringBuilder result.

273. #### def toTraversable: Traversable[Char]

     Converts this growable collection to an unspecified Traversable.

     Converts this growable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this growable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

274. #### def transform(f: (Char) ⇒ Char): StringBuilder.this.type

     Applies a transformation function to all values contained in this sequence.

     Applies a transformation function to all values contained in this sequence. The transformation function produces new values from existing elements.

     f

       the transformation to apply

     returns

       the sequence itself.

     Definition Classes
       SeqLike

275. #### def transpose[B](implicit asTraversable: (Char) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this growable collection of traversable collections into a growable collection of growable collections.

     Transposes this growable collection of traversable collections into a growable collection of growable collections.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this growable collection is a `Traversable`.

     returns

       a two-dimensional growable collection of growable collections which has as nth row the nth column of this growable collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this growable collection are not of the same size.

276. #### abstract def union(that: Seq[Char]): Growable[Char]

     [use case] Produces a new sequence which contains all elements of this growable collection and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this growable collection and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     that

       the sequence to add.

     returns

       a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

     Definition Classes
       SeqLike

277. #### def union[B >: Char, That](that: GenSeq[B])(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     Produces a new sequence which contains all elements of this growable collection and also all elements of a given sequence.

     Produces a new sequence which contains all elements of this growable collection and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     B

       the element type of the returned growable collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     that

       the sequence to add.

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new collection of type `That` which contains all elements of this growable collection followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike

278. #### def unzip[A1, A2](implicit asPair: (Char) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this growable collection of pairs into two collections of the first and second half of each pair.

     Converts this growable collection of pairs into two collections of the first and second half of each pair.

     asPair

       an implicit conversion which asserts that the element type of this growable collection is a pair.

     returns

       a pair growable collections, containing the first, respectively second half of each element pair of this growable collection.

     Definition Classes
       GenericTraversableTemplate

279. #### def unzip3[A1, A2, A3](implicit asTriple: (Char) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this growable collection of triples into three collections of the first, second, and third element of each triple.

     Converts this growable collection of triples into three collections of the first, second, and third element of each triple.

     asTriple

       an implicit conversion which asserts that the element type of this growable collection is a triple.

     returns

       a triple growable collections, containing the first, second, respectively third member of each element triple of this growable collection.

     Definition Classes
       GenericTraversableTemplate

280. #### def update(i: Int, c: Char): Unit

     Equivalent to setCharAt.

     Equivalent to setCharAt.

     Definition Classes
       StringBuilder → IndexedSeqLike → SeqLike

281. #### abstract def updated(index: Int, elem: Char): Growable[Char]

     [use case] A copy of this growable collection with one single replaced element.

     [use case]

     A copy of this growable collection with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a new growable collection`which is a copy of this growable collection with the element at position` index`replaced by` elem`.`

     Definition Classes
       GenSeqLike

282. #### def updated[B >: Char, That](index: Int, elem: B)(implicit bf: CanBuildFrom[StringBuilder, B, That]): That

     A copy of this growable collection with one single replaced element.

     A copy of this growable collection with one single replaced element.

     B

       the element type of the returned growable collection.

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

     index

       the position of the replacement

     elem

       the replacing element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       a new growable collection`which is a copy of this growable collection with the element at position` index`replaced by` elem`.`

     Definition Classes
       SeqLike → GenSeqLike

283. #### def view(from: Int, until: Int): IndexedSeqView[Char, IndexedSeq[Char]]

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     A sub-sequence view starting at index `from` and extending up to (but not including) index `until`.

     from

       The index of the first element of the slice

     until

       The index of the element following the slice

     returns

       a non-strict view of a slice of this growable collection, starting at index `from` and extending up to (but not including) index `until`.@note The difference between `view` and `slice` is that `view` produces a view of the current sequence, whereas `slice` produces a new sequence.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike
     Note

       view(from, to) is equivalent to view.slice(from, to)

284. #### def view: IndexedSeqView[Char, IndexedSeq[Char]]

     Creates a view of this iterable @see Iterable.

     Creates a view of this iterable @see Iterable.View

     returns

       a non-strict view of this growable collection.

     Definition Classes
       IndexedSeqLike → SeqLike → IterableLike → TraversableLike

285. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

286. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

287. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws()

288. #### def withFilter(p: (Char) ⇒ Boolean): FilterMonadic[Char, StringBuilder]

     Creates a non-strict filter of this growable collection.

     Creates a non-strict filter of this growable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this growable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

289. #### abstract def zip[B](that: GenIterable[B]): Growable[(Char, B)]

     [use case] Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this growable collection and `that`. The length of the returned collection is the minimum of the lengths of this growable collection and `that`.

     Definition Classes
       GenIterableLike

290. #### def zip[A1 >: Char, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[StringBuilder, (A1, B), That]): That

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs.

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     B

       the type of the second half of the returned pairs

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, B)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, B), That]`. is found.

     that

       The iterable providing the second half of each result pair

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `(A1, B)`.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this growable collection and `that`. The length of the returned collection is the minimum of the lengths of this growable collection and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

291. #### abstract def zipAll[B](that: Iterable[B], thisElem: Char, thatElem: B): Growable[(Char, B)]

     [use case] Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this growable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this growable collection.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this growable collection and `that`. The length of the returned collection is the maximum of the lengths of this growable collection and `that`. If this growable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this growable collection, `thatElem` values are used to pad the result.

     Definition Classes
       GenIterableLike

292. #### def zipAll[B, A1 >: Char, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[StringBuilder, (A1, B), That]): That

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs.

     Returns a growable collection formed from this growable collection and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     that

       the iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this growable collection is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this growable collection.

     returns

       a new collection of type `That` containing pairs consisting of corresponding elements of this growable collection and `that`. The length of the returned collection is the maximum of the lengths of this growable collection and `that`. If this growable collection is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this growable collection, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike

293. #### abstract def zipWithIndex: Growable[(Char, Int)]

     [use case] Zips this growable collection with its indices.

     [use case]

     Zips this growable collection with its indices.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this growable collection paired with their index. Indices start at `0`.

     Definition Classes
       GenIterableLike

294. #### def zipWithIndex[A1 >: Char, That](implicit bf: CanBuildFrom[StringBuilder, (A1, Int), That]): That

     Zips this growable collection with its indices.

     Zips this growable collection with its indices.

     A1

       the type of the first half of the returned pairs (this is always a supertype of the collection's element type `A`).

     That

       the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `(A1, Int)` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, (A1, Int), That]`. is found.

     returns

       A new collection of type `That` containing pairs consisting of all elements of this growable collection paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike

### Deprecated Value Members

1. #### def append(x: Array[Char], offset: Int, len: Int): StringBuilder

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "use appendAll instead. This method is deprecated because\012".+("of the possible confusion with `append(Any, Int, Int)\'.")`

2. #### def append(x: Array[Char]): StringBuilder

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "use appendAll instead. This method is deprecated because\012".+("of the possible confusion with `append(Any)\'.")`

3. #### def append(x: Seq[Char]): StringBuilder

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use appendAll instead. This method is deprecated because of the\012".+("possible confusion with `append(Any)\'.")`

4. #### def capacity_=(n: Int): Unit

   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) "Use `ensureCapacity\' instead. An assignment is misleading because\012".+("it can never decrease the capacity.")`

5. #### def elements: Iterator[Char]

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `iterator' instead`

6. #### def equalsWith[B](that: Seq[B])(f: (Char, B) ⇒ Boolean): Boolean

   Tests whether every element of this growable collection relates to the corresponding element of another sequence by satisfying a test predicate.

   Tests whether every element of this growable collection relates to the corresponding element of another sequence by satisfying a test predicate.

   B

     the type of the elements of `that`

   that

     the other sequence

   returns

     `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this growable collection and `y` of `that`, otherwise `false`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `corresponds` instead

7. #### def findIndexOf(p: (Char) ⇒ Boolean): Int

   Returns index of the first element satisfying a predicate, or `-1`.

   Returns index of the first element satisfying a predicate, or `-1`.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) Use indexWhere(p) instead.

8. #### def findLastIndexOf(p: (Char) ⇒ Boolean): Int

   Returns index of the last element satisfying a predicate, or -1.

   Returns index of the last element satisfying a predicate, or -1.

   Definition Classes
     SeqLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `lastIndexWhere` instead

9. #### def first: Char

   Definition Classes
     IterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use `head' instead`

10. #### def firstOption: Option[Char]

    `None` if iterable is empty.

    `None` if iterable is empty.

    Definition Classes
      IterableLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `headOption' instead`

11. #### def insert(at: Int, x: Array[Char]): StringBuilder

    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) "use insertAll instead. This method is deprecated because of\012".+("the possible confusion with `insert(Int, Any)\'.")`

12. #### def insert(at: Int, x: Seq[Char]): StringBuilder

    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) "use insertAll instead. This method is deprecated because of\012".+("the possible confusion with `insert(Int, Any)\'.")`

13. #### def insert(index: Int, str: Array[Char], offset: Int, len: Int): StringBuilder

    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) "use insertAll instead. This method is deprecated because of the\012".+("possible confusion with `insert(Int, Any, Int, Int)\'.")`

14. #### def projection: SeqView[Char, StringBuilder]

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

    Definition Classes
      SeqLike → IterableLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `view' instead`

15. #### def reversedElements: Iterator[Char]

    Definition Classes
      SeqLike
    Annotations
      @deprecated
    Deprecated

      (Since version 2.8.0) use `reverseIterator' instead`

### Inherited from Serializable

### Inherited from Builder[Char, String]

### Inherited from Growable[Char]

### Inherited from StringLike[StringBuilder]

### Inherited from Ordered[String]

### Inherited from Comparable[String]

### Inherited from IndexedSeqOptimized[Char, StringBuilder]

### Inherited from IndexedSeq[Char]

### Inherited from IndexedSeqLike[Char, IndexedSeq[Char]]

### Inherited from IndexedSeq[Char]

### Inherited from IndexedSeqLike[Char, StringBuilder]

### Inherited from Seq[Char]

### Inherited from SeqLike[Char, Seq[Char]]

### Inherited from Cloneable[Seq[Char]]

### Inherited from Seq[Char]

### Inherited from SeqLike[Char, StringBuilder]

### Inherited from GenSeq[Char]

### Inherited from GenSeqLike[Char, StringBuilder]

### Inherited from PartialFunction[Int, Char]

### Inherited from (Int) ⇒ Char

### Inherited from Iterable[Char]

### Inherited from IterableLike[Char, StringBuilder]

### Inherited from Equals

### Inherited from GenIterable[Char]

### Inherited from GenIterableLike[Char, StringBuilder]

### Inherited from Traversable[Char]

### Inherited from Mutable

### Inherited from Traversable[Char]

### Inherited from GenTraversable[Char]

### Inherited from GenericTraversableTemplate[Char, IndexedSeq]

### Inherited from TraversableLike[Char, StringBuilder]

### Inherited from GenTraversableLike[Char, StringBuilder]

### Inherited from Parallelizable[Char, ParSeq[Char]]

### Inherited from TraversableOnce[Char]

### Inherited from GenTraversableOnce[Char]

### Inherited from FilterMonadic[Char, StringBuilder]

### Inherited from HasNewBuilder[Char, StringBuilder]

### Inherited from CharSequence

### Inherited from AnyRef

### Inherited from Any